function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { Component } from "react";

const logError = (error, errorInfo) => {
  console.warn("Error in Matcha advisor: ", error, errorInfo);
};

class ErrorBoundary extends Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {
      hasError: false
    });
  }

  static getDerivedStateFromError() {
    return {
      hasError: true
    };
  }

  componentDidCatch(error, errorInfo) {
    logError(error, errorInfo);
  }

  render() {
    const {
      children
    } = this.props;
    const {
      hasError
    } = this.state;
    return hasError ? null : children;
  }

}

export default ErrorBoundary;